org.wildfly.swarm.config.messaging.activemq.server

## Class RemoteAcceptor<T extends RemoteAcceptor<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.RemoteAcceptor<T>

-     public class RemoteAcceptor<T extends RemoteAcceptor<T>>
      extends Object

  Defines a way in which remote connections can be made to the ActiveMQ server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteAcceptor(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `param(String key, Object value)` A key-value pair understood by the acceptor factory-class and used to configure it.
    `Map` | `params()` A key-value pair understood by the acceptor factory-class and used to configure it.
    `T` | `params(Map value)` A key-value pair understood by the acceptor factory-class and used to configure it.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `socketBinding()` The socket binding that the acceptor will use to accept connections.
    `T` | `socketBinding(String value)` The socket binding that the acceptor will use to accept connections.
    `Boolean` | `started()` Whether this acceptor is started.
    `T` | `started(Boolean value)` Whether this acceptor is started.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteAcceptor

          public RemoteAcceptor(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### params

          public Map params()

      A key-value pair understood by the acceptor factory-class and used to configure it.

    - #### params

          public T params(Map value)

      A key-value pair understood by the acceptor factory-class and used to configure it.

    - #### param

          public T param(String key,
                         Object value)

      A key-value pair understood by the acceptor factory-class and used to configure it.

    - #### socketBinding

          public String socketBinding()

      The socket binding that the acceptor will use to accept connections.

    - #### socketBinding

          public T socketBinding(String value)

      The socket binding that the acceptor will use to accept connections.

    - #### started

          public Boolean started()

      Whether this acceptor is started.

    - #### started

          public T started(Boolean value)

      Whether this acceptor is started.

Copyright © 2018 JBoss by Red Hat. All rights reserved.